swagger: "2.0"

info:
  version: 10.1.2
  title: Listar automações (RPA)
  description: "Lista todas as automações RPA cadastradas."
  contact: 
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "BPM - Fonte de dados"

paths:
  /automations-list:
    get:
      description: "Lista todas as automações RPA cadastradas."
      deprecated: false

definitions:
  outputData:
    type: object
    properties:
      totalPages:
        type: string
        description: "Identificador"
      totalElements:
        type: string
        description: "Nome da automação"
      contents:
        type: string
        description: "Identificador do arquivo"
      fileName:
        type: integer
        description: "Nome do arquivo"
      fileVersion:
        type: string
        description: "Versão do arquivo"